import type { App, Directive } from 'vue'
import auth from './modules/auth'

const directivesList: { [key: string]: Directive } = {
  auth
}

export const setupDirectives = (app: App) => {
  Object.keys(directivesList).forEach(key => {
    app.directive(key, directivesList[key])
  })
}
